> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_blockNumber | Optimism

> Optimism API method that returns the latest block number of the blockchain. Reference for eth_blockNumber on Optimism via Chainstack.

Optimism API method that returns the latest block number of the blockchain. A block number is a hexadecimal number representing the block's position in the blockchain. For example, the block number `0x69B5B` means that the block is block 432987 in the blockchain.

## Parameters

* `none`

## Response

* `result` — the integer value of the node's latest block number is synced to, encoded as hexadecimal. The block number is used to identify the block's position in the blockchain and is updated every time a new block is added to the chain.

## Use case

A possible use case for the `eth_blockNumber` method in Optimism is for applications that need to be aware of the current block number—some applications may need to be mindful of the current block number to function correctly. For example, a DApp may use the current block number to determine the expiration date of a time-limited offer.


## OpenAPI

````yaml openapi/optimism_node_api/eth_blockNumber.json POST /efb0a5eccd2caa5135eb54eba6f7f300
openapi: 3.0.0
info:
  title: eth_blockNumber Optimism example
  version: 1.0.0
  description: This is an API example for eth_blockNumber for Optimism.
servers:
  - url: https://optimism-mainnet.core.chainstack.com
security: []
paths:
  /efb0a5eccd2caa5135eb54eba6f7f300:
    post:
      tags:
        - Ethereum Operations
      summary: eth_blockNumber
      operationId: blockNumber
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: eth_blockNumber
                id:
                  type: integer
                  default: 1
      responses:
        '200':
          description: The block number information
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: string

````